# Drone CI

- Registry cannot be removed if it has https:// in its name #2341

https://github.com/drone/drone/issues/2341

https://discourse.drone.io/t/unable-to-delete-registry-from-repository/943

## Limitations

- Drone DIND would always reuse cached docker images which could lead to the image leak across the private repos;

- Drone runs plugins/drone in privileged mode despite the repo does not have Trusted: true nor privileged: true [ref](https://github.com/drone-plugins/drone-docker/issues/170)

- Registry cannot be removed if it has https:// in its name #2341
  https://github.com/drone/drone/issues/2341
  https://discourse.drone.io/t/unable-to-delete-registry-from-repository/943

- Builds history cannot be removed (could lead to info leaks)

## Troubleshooting

- Set the Registry creds in your Drone repo

```
Error response from daemon: Get https://docker.nixaid.com:5010/v2/plugins/docker/manifests/17.12: no basic auth credentials
```

- Make sure plugins/drone is running in a privileged mode, by passing DRONE_ESCALATE=custom-docker-registry.com:5010/plugins/docker to the Drone server installation.

- https://discourse.drone.io/t/plugins-docker-cannot-pull-when-image-repo-set-to-the-same-custom-docker-registry/1748
- https://github.com/drone-plugins/drone-docker/issues/170

```
environment:
     DOCKER_LAUNCH_DEBUG: 'true'
```

```
+ /usr/local/bin/dockerd -g /var/lib/docker
time="2018-02-11T21:13:26Z" level=fatal msg="Error authenticating: exit status 1"
```
